Subject: Re: [PATCH] make commit message a little more consistent and conforting

From: Shawn Pearce <[email-masked]>
Date: Thu, 14 Dec 2006 23:24:59 -0500

Nicolas Pitre <[email-masked]> wrote:
> It is nicer to let the user know when a commit succeeded all the time, 
> not only the first time.  Also the commit sha1 is much more useful than 
> the tree sha1 in this case.

I agree the commit sha1 is more useful than the tree sha1, but I'm
not really sure its useful to show the commit sha1 post commit.
If you want to show something the diffstat like what git merge does
is better.

For one thing it confirms that git accepted the changes.  For another
it shows you *which* changes it accepted.  Plus it responds just
like git-merge or git-pull does.

Of course the meaning of the diffstat is entirely different in both
cases; in the commit case its what has been recorded while in the
merge case its not only what has been recorded into your current
branch history but also what has been done to your working directory.

--